WP42SuppressPageCharacteristicsGroup Class Reference

`#include <WP42SuppressPageCharacteristicsGroup.h>`

Inheritance diagram for WP42SuppressPageCharacteristicsGroup:

## Public Member Functions

| WP42SuppressPageCharacteristicsGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
| ~WP42SuppressPageCharacteristicsGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP42Listener *listener) override
Public Member Functions inherited from WP42MultiByteFunctionGroup
| WP42MultiByteFunctionGroup (unsigned char group)
| ~WP42MultiByteFunctionGroup () override
Public Member Functions inherited from WP42Part
virtual | ~WP42Part ()

## Private Attributes

unsigned char | m_suppressCode

## Additional Inherited Members

Static Public Member Functions inherited from WP42MultiByteFunctionGroup
static WP42MultiByteFunctionGroup * | constructMultiByteFunctionGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char group)
Static Public Member Functions inherited from WP42Part
static WP42Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned char readVal)
Protected Member Functions inherited from WP42MultiByteFunctionGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getGroup () const

## Constructor & Destructor Documentation

## WP42SuppressPageCharacteristicsGroup()

WP42SuppressPageCharacteristicsGroup::WP42SuppressPageCharacteristicsGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned char | group )

## ~WP42SuppressPageCharacteristicsGroup()

WP42SuppressPageCharacteristicsGroup::~WP42SuppressPageCharacteristicsGroup | ( |  | ) |

override

## Member Function Documentation

## _readContents()

void WP42SuppressPageCharacteristicsGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

override virtual

Implements WP42MultiByteFunctionGroup.

## parse()

void WP42SuppressPageCharacteristicsGroup::parse | ( | WP42Listener * | listener | ) |

override virtual

Implements WP42Part.

## Member Data Documentation

## m_suppressCode

unsigned char WP42SuppressPageCharacteristicsGroup::m_suppressCode

private

Referenced by _readContents(), parse(), and WP42SuppressPageCharacteristicsGroup().

The documentation for this class was generated from the following files:

- WP42SuppressPageCharacteristicsGroup.h
- WP42SuppressPageCharacteristicsGroup.cpp